org.eclipse.jetty.plus.annotation

## Class RunAsCollection

- java.lang.Object
- - org.eclipse.jetty.plus.annotation.RunAsCollection

-     public class RunAsCollection
      extends Object

  RunAsCollection

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `RUNAS_COLLECTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RunAsCollection()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(RunAs runAs)`
    `RunAs` | `getRunAs(Object o)`
    `void` | `setRunAs(Object o)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RUNAS_COLLECTION

          public static final String RUNAS_COLLECTION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RunAsCollection

          public RunAsCollection()

  - ### Method Detail

    - #### add

          public void add(RunAs runAs)

    - #### getRunAs

          public RunAs getRunAs(Object o)
                         throws javax.servlet.ServletException

      Throws:
        `javax.servlet.ServletException`

    - #### setRunAs

          public void setRunAs(Object o)
                        throws javax.servlet.ServletException

      Throws:
        `javax.servlet.ServletException`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.